GNU bug report logs - #28511
27.0.50; Menus off-screen

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: bryan@HIDDEN (Bryan M. Kramer); merged with #25064, #26130, #26855, #27131; dated Tue, 19 Sep 2017 15:01:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 25064 26130 26855 27131 28511. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 28511. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Sep 2017 15:00:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 19 11:00:43 2017
Received: from localhost ([127.0.0.1]:48376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1duK0x-0004Pg-0e
	for submit <at> debbugs.gnu.org; Tue, 19 Sep 2017 11:00:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan@HIDDEN>) id 1duK0v-0004PT-GH
 for submit <at> debbugs.gnu.org; Tue, 19 Sep 2017 11:00:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1duK0g-0001Vt-KW
 for submit <at> debbugs.gnu.org; Tue, 19 Sep 2017 11:00:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40673)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bryan@HIDDEN>)
 id 1duK0g-0001Vp-HE
 for submit <at> debbugs.gnu.org; Tue, 19 Sep 2017 11:00:26 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46788)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1duK0a-0005Fb-6T
 for bug-gnu-emacs@HIDDEN; Tue, 19 Sep 2017 11:00:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1duK0S-0001LU-79
 for bug-gnu-emacs@HIDDEN; Tue, 19 Sep 2017 11:00:20 -0400
Received: from smtp.cogeco.net ([216.221.81.25]:37565 helo=fipsb03.cogeco.net)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bryan@HIDDEN>) id 1duK0S-0001Ku-03
 for bug-gnu-emacs@HIDDEN; Tue, 19 Sep 2017 11:00:12 -0400
X-Cloudmark-SP-Filtered: true
X-Cloudmark-SP-Result: =?us-ascii?q?v=3D2=2E1_cv=3DWIvfJiYR_c=3D1_sm=3D2_tr?=
 =?us-ascii?q?=3D0_a=3DWQq1Q4JyK0YZak2aedJBLw=3D=3D=3A17?=
 =?us-ascii?q?_a=3D2JCJgTwv5E4A=3A10_a=3DryupBRYJijIBybcxrEgA=3A9?=
 =?us-ascii?q?_a=3D7Zwj6sZBwVKJAoWSPKxL6X1jA+E=3D=3A19_a=3DmfF=5F3CjtUCT8v29?=
 =?us-ascii?q?F=3A21_a=3Dq5X2Hz-yn-g1ocEI=3A21?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2C+CAClL8FZ/3KwlhhbHgYMgy0tgVKPM?=
 =?us-ascii?q?I8DAYRklUWFPwSEXkMVAQIBAQEBAQEBayhCEoUhEwFLDwQhASlVihWtR4tVgyu?=
 =?us-ascii?q?NNQEBCGSFJQWRM49ZlmmJaIZ/lnA1IoENd16ESQELQQQbggMkgzuDNoIyAQEB?=
X-IPAS-Result: =?us-ascii?q?A2C+CAClL8FZ/3KwlhhbHgYMgy0tgVKPMI8DAYRklUWFPwS?=
 =?us-ascii?q?EXkMVAQIBAQEBAQEBayhCEoUhEwFLDwQhASlVihWtR4tVgyuNNQEBCGSFJQWRM?=
 =?us-ascii?q?49ZlmmJaIZ/lnA1IoENd16ESQELQQQbggMkgzuDNoIyAQEB?=
X-IronPort-AV: E=Sophos;i="5.42,418,1500955200"; d="scan'208";a="105052912"
Received: from d24-150-176-114.home.cgocable.net (HELO fedora17.home)
 ([24.150.176.114])
 by fipsb03.cogeco.net with ESMTP; 19 Sep 2017 11:00:11 -0400
From: bryan@HIDDEN (Bryan M. Kramer)
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Menus off-screen
Date: Tue, 19 Sep 2017 11:00:10 -0400
Message-ID: <87377iu41x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Menus, e.g. toolbar menus such as "Buffers", "Edit" etc. are not showing
up. Sometimes a line is visible at the top left of the screen.

This was reported for earlier versions of emacs, but it doesn't seem to
be fixed yet.

Console reports a bunch of GTK errors:

(emacs:26734): Gtk-WARNING **: GtkAccelLabel 0x49275a0 attempted to adjust its size allocation from 29,1622938142 1x1446369786 to 29,-1948844269 1x15. adjust_size_allocation must keep allocation inside original bounds

(emacs:26734): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:26734): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:26734): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkCheckMenuItem)

(emacs:26734): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:26734): Gtk-WARNING **: GtkAccelLabel 0x4932980 attempted to adjust its size allocation from 29,1711222314 1x1446369786 to 29,-1860560097 1x15. adjust_size_allocation must keep allocation inside original bounds

(emacs:26734): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:26734): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:26734): Gtk-WARNING **: GtkAccelLabel 0x49325a0 attempted to adjust its size allocation from 29,1755364400 1x1446369786 to 29,-1816418011 1x15. adjust_size_allocation must keep allocation inside original bounds

(emacs:26734): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)




In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.19)
 of 2017-09-19 built on fedora17.home
Repository revision: 0bddbbc5aae621d5875880ac3e63f68d481df7c3
Windowing system distributor 'The Cygwin/X Project', version 11.0.11902000
Recent messages:
Type C-x 1 to remove help window.  
Making completion list...

Configured using:
 'configure --prefix=/home/bryan/install --without-makeinfo
 --without-pop'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS NOTIFY LIBSELINUX GNUTLS
FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mail-utils help-mode apropos elec-pair server hideshow prettier-js dash
edmacro kmacro timesheet srgrep more-hacks paren delsel mm-util
mail-prsvr finder-inf package easymenu epg-config url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 235086 10393)
 (symbols 48 26662 1)
 (miscs 40 124 193)
 (strings 32 87225 6860)
 (string-bytes 1 3431315)
 (vectors 16 21776)
 (vector-slots 8 599627 9349)
 (floats 8 60 213)
 (intervals 56 306 0)
 (buffers 992 14))




Acknowledgement sent to bryan@HIDDEN (Bryan M. Kramer):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28511; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.